> ## Documentation Index
> Fetch the complete documentation index at: https://docs.colloqui.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Versions

> Retrieves a paginated list of version history of an agent.



## OpenAPI

````yaml GET /api/v1/agents/{agent_id}/versions
openapi: 3.0.3
info:
  title: Colloqui API Documentation
  description: API documentation for Colloqui application
  version: 1.0.0
servers:
  - url: https://colloqui-web-develop-btoadh.laravel.cloud
security:
  - default: []
tags:
  - name: Authentication
    description: |-

      APIs for retrieving a token and invalidating the current token.
  - name: API Keys
    description: |-

      APIs for managing API keys.
  - name: Agent
    description: |-

      APIs for agents
  - name: Agent Versions
    description: |-

      APIs for retrieving version history of an agent.
  - name: Call History
    description: |-

      APIs for managing call histories.
  - name: Knowledge Base
    description: |-

      APIs for knowledge base management.
  - name: Number
    description: |-

      APIs for managing numbers.
  - name: Subscription
    description: |-

      APIs to subscribe an agent to a subscription.
  - name: User
    description: |-

      APIs for managing users.
  - name: Webhook
    description: |-

      APIs for managing webhooks.
  - name: Workspace
    description: |-

      APIs for managing workspaces.
  - name: Workspace User
    description: |-

      APIs for managing users within workspaces.
paths:
  /api/v1/agents/{agent_id}/versions:
    parameters:
      - in: path
        name: agent_id
        description: The ID of the agent.
        example: 01kntjsyhqzfyhwjrx6496frrh
        required: true
        schema:
          type: string
    get:
      tags:
        - Agent Versions
      summary: List Versions
      description: Retrieves a paginated list of version history of an agent.
      operationId: listVersions
      parameters:
        - in: query
          name: per_page
          description: >-
            The number of items per page. Must be at least 1. Must not be
            greater than 100.
          example: 25
          required: false
          schema:
            type: integer
            description: >-
              The number of items per page. Must be at least 1. Must not be
              greater than 100.
            example: 25
        - in: query
          name: cursor
          description: >-
            The cursor for pagination. Use the meta.next_cursor or
            meta.previous_cursor from the response.
          example: example
          required: false
          schema:
            type: string
            description: >-
              The cursor for pagination. Use the meta.next_cursor or
              meta.previous_cursor from the response.
            example: example
      responses:
        '200':
          description: success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        version:
                          type: integer
                          example: 1
                        published_at:
                          type: string
                          format: date-time
                          example: '2025-10-07T10:30:00.000000Z'
                  meta:
                    type: object
                    properties:
                      per_page:
                        type: integer
                        example: 20
                      next_cursor:
                        type: string
                        example: null
                        nullable: true
                      previous_cursor:
                        type: string
                        example: null
                        nullable: true
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Bearer token authentication

````